# for configure script
%ifarch x86_64
	%define arch	x86-64
%endif

%ifarch %ix86
	%define arch	i686
%endif

Name:		mtpaint
Version:	3.50
Release:	%mkrel 5
Summary:	Painting program for creating icons and pixel-based artwork
Group:		Graphics/Editors and Converters
License:	GPLv3+
URL:		https://mtpaint.sourceforge.net/
Source0:	https://downloads.sf.net/mtpaint/mtpaint-%{version}.tar.bz2
Source1:	https://downloads.sf.net/mtpaint/mtpaint_handbook-%{version}.zip
# Patches from Fedora:
Patch0:		mtpaint-3.50-xdg-open.patch
Patch1:		mtpaint-3.40-strip.patch
Patch2:		mtpaint-3.40-png.patch
Patch3:		mtpaint-3.40-yad.patch
Patch4:		mtpaint-configure-c99.patch
BuildRequires:	dos2unix
BuildRequires:	gettext
BuildRequires:	giflib-devel
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libopenjp2)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(zlib)
Requires:	gifsicle
Requires:	imagemagick
Requires:	yad

%description
mtPaint is a painting program to easily create pixel art and
manipulate digital photos.

%package	handbook
Summary:	Handbook for the mtpaint painting application
Group:		Documentation
License:	GFDL
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}

%description	handbook
Install this package is want to read the handbook for the painting
application mtpaint.

%prep
%autosetup -p1 -a 1

chmod 0755 mtpaint_handbook-%{version}/docs/{en_GB,img,files,cs}
dos2unix -k mtpaint_handbook-%{version}/docs/index.html
dos2unix -k mtpaint_handbook-%{version}/docs/{en_GB,cs}/*.html

%build
%define _legacy_common_support 1
export CFLAGS="%{optflags} -fPIC"
export LDFLAGS="%{ldflags} -fPIC"
./configure \
	--cpu=%{arch} \
	--prefix=%{_prefix} \
	gtkfilesel gtkcolsel \
	cflags asneeded intl man thread gtk3 GIF tiff jpeg jp2v2 imagick lcms2
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc README NEWS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*

%files handbook
%doc %{name}_handbook-%{version}/docs/*
%license %{name}_handbook-%{version}/COPYING


%changelog
* Thu Oct 17 2024 daviddavid <daviddavid> 3.50-5.mga10
+ Revision: 2107684
- requires yad
- add fedora patch to fix build

* Mon Dec 12 2022 ns80 <ns80> 3.50-3.mga9
+ Revision: 1921086
- rebuild for new libtiff

* Wed Mar 30 2022 umeabot <umeabot> 3.50-2.mga9
+ Revision: 1835481
- Mageia 9 Mass Rebuild

* Wed Mar 03 2021 daviddavid <daviddavid> 3.50-1.mga9
+ Revision: 1696822
- new version: 3.50
- switch to gtk3

* Sat Dec 26 2020 daviddavid <daviddavid> 3.49.34-3.mga8
+ Revision: 1663853
- new version: 3.49.34

* Sun Jun 28 2020 joequant <joequant> 3.49.19-3.mga8
+ Revision: 1599918
- fix gcc10 build

* Sat Feb 15 2020 umeabot <umeabot> 3.49.19-2.mga8
+ Revision: 1527244
- Mageia 8 Mass Rebuild

* Sat Jul 13 2019 daviddavid <daviddavid> 3.49.19-1.mga8
+ Revision: 1420948
- new version: 3.49.19

* Sun Sep 23 2018 umeabot <umeabot> 3.49.13-2.mga7
+ Revision: 1299641
- Mageia 7 Mass Rebuild

* Sat May 12 2018 daviddavid <daviddavid> 3.49.13-1.mga7
+ Revision: 1228596
- new version: 3.49.13
- add an handbook subpkg
- switch to openjpeg2
+ kekepower <kekepower>
- Rebuild for new openjpeg
- Use new make macros

* Thu Jan 07 2016 luigiwalser <luigiwalser> 3.40-9.mga6
+ Revision: 920492
- add patch to fix build with giflib5
- rebuild for giflib

* Wed Oct 15 2014 umeabot <umeabot> 3.40-8.mga5
+ Revision: 748899
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.40-7.mga5
+ Revision: 682683
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.40-6.mga4
+ Revision: 526168
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 3.40-5.mga4
+ Revision: 436017
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 3.40-4.mga3
+ Revision: 360474
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Editors -> Graphics/Editors and Converters

* Sun Oct 07 2012 fwang <fwang> 3.40-3.mga3
+ Revision: 303250
- update rpm group
- rebuild for new openjpeg

* Sun Jul 01 2012 wally <wally> 3.40-2.mga3
+ Revision: 265963
- fix summary (mga#6645)
- add patches from Fedora
- clean and sync .spec with Fedora

* Thu May 31 2012 dams <dams> 3.40-1.mga3
+ Revision: 252460
- imported package mtpaint

